Package com.databricks.jdbc.model.client.thrift.generated

## Class TGetOperationStatusReq

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TGetOperationStatusReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetOperationStatusReq>`, `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TGetOperationStatusReq
    extends Object
    implements org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>, Serializable, Cloneable, Comparable<TGetOperationStatusReq>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGetOperationStatusReq._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `getProgressUpdate`
`static Map<TGetOperationStatusReq._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TOperationHandle` `operationHandle`

### Constructor Summary

Constructors
`TGetOperationStatusReq()`
`TGetOperationStatusReq​(TGetOperationStatusReq other)` Performs a deep copy on other.
`TGetOperationStatusReq​(TOperationHandle operationHandle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TGetOperationStatusReq other)`
`TGetOperationStatusReq` `deepCopy()`
`boolean` `equals​(TGetOperationStatusReq that)`
`boolean` `equals​(Object that)`
`TGetOperationStatusReq._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TGetOperationStatusReq._Fields field)`
`TOperationHandle` `getOperationHandle()`
`int` `hashCode()`
`boolean` `isGetProgressUpdate()`
`boolean` `isSet​(TGetOperationStatusReq._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetGetProgressUpdate()` Returns true if field getProgressUpdate is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationHandle()` Returns true if field operationHandle is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TGetOperationStatusReq._Fields field, Object value)`
`TGetOperationStatusReq` `setGetProgressUpdate​(boolean getProgressUpdate)`
`void` `setGetProgressUpdateIsSet​(boolean value)`
`TGetOperationStatusReq` `setOperationHandle​(TOperationHandle operationHandle)`
`void` `setOperationHandleIsSet​(boolean value)`
`String` `toString()`
`void` `unsetGetProgressUpdate()`
`void` `unsetOperationHandle()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### operationHandle

    public TOperationHandle operationHandle

#### getProgressUpdate

    public boolean getProgressUpdate

#### metaDataMap

    public static final Map<TGetOperationStatusReq._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGetOperationStatusReq

    public TGetOperationStatusReq()

#### TGetOperationStatusReq

    public TGetOperationStatusReq​(TOperationHandle operationHandle)

#### TGetOperationStatusReq

    public TGetOperationStatusReq​(TGetOperationStatusReq other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGetOperationStatusReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`

#### getOperationHandle

    public TOperationHandle getOperationHandle()

#### setOperationHandle

    public TGetOperationStatusReq setOperationHandle​(TOperationHandle operationHandle)

#### unsetOperationHandle

    public void unsetOperationHandle()

#### isSetOperationHandle

    public boolean isSetOperationHandle()

Returns true if field operationHandle is set (has been assigned a value) and false otherwise

#### setOperationHandleIsSet

    public void setOperationHandleIsSet​(boolean value)

#### isGetProgressUpdate

    public boolean isGetProgressUpdate()

#### setGetProgressUpdate

    public TGetOperationStatusReq setGetProgressUpdate​(boolean getProgressUpdate)

#### unsetGetProgressUpdate

    public void unsetGetProgressUpdate()

#### isSetGetProgressUpdate

    public boolean isSetGetProgressUpdate()

Returns true if field getProgressUpdate is set (has been assigned a value) and false otherwise

#### setGetProgressUpdateIsSet

    public void setGetProgressUpdateIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGetOperationStatusReq._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGetOperationStatusReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`

#### isSet

    public boolean isSet​(TGetOperationStatusReq._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGetOperationStatusReq that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGetOperationStatusReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetOperationStatusReq>`

#### fieldForId

    public TGetOperationStatusReq._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetOperationStatusReq,​TGetOperationStatusReq._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`